## GtkEventControllerLegacy GtkEventControllerLegacy — Event controller for miscellaneous events |

## Functions

GtkEventController * | gtk_event_controller_legacy_new ()

## Signals

gboolean | event | Run Last

## Types and Values

| GtkEventControllerLegacy

## Object Hierarchy

        GObject
        ╰── GtkEventController
            ╰── GtkEventControllerLegacy

## Includes

    #include <gtk/gtk.h>

## Description

GtkEventControllerLegacy is an event controller that gives you direct access to the event stream. It should only be used as a last resort if none of the other event controllers or gestures do the job.

## Functions

### gtk_event_controller_legacy_new ()

    GtkEventController *
    gtk_event_controller_legacy_new (void);

Creates a new legacy event controller.

#### Returns

the newly created event controller.

## Types and Values

### GtkEventControllerLegacy

    typedef struct _GtkEventControllerLegacy GtkEventControllerLegacy;

## Signal Details

### The `“event”` signal

    gboolean
    user_function (GtkEventControllerLegacy *controller,
                   GdkEvent                 *event,
                   gpointer                  user_data)

Emitted for each GDK event delivered to `controller` .

#### Parameters

controller | the object which received the signal. |
event | the GdkEvent which triggered this signal |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event and the emission of this signal. `FALSE` to propagate the event further.

Flags: Run Last

## See Also

GtkEventController